function xdot = F(t,x);
% xdot(1) = x(1)*(3 - 2*x(1) - 1*x(2));
% xdot(2) = x(2)*(5-1*x(1)-3*x(2));
% phase_portrait(0, 1.8, 0, 2, 7, 'F', 5)

% unstable
% xdot(1) = x(1);   
% xdot(2) = -2*x(1)-3*x(2);
% phase_portrait(-10, 10, -10, 10, 7, 'F', 5)


% stable
% xdot(1) = x(2);   
% xdot(2) = -2*x(1)-3*x(2);
% phase_portrait(-10, 10, -10, 10, 7, 'F', 5)



% stable focus damped pendulum
%  xdot(1) = -1*(x(1))^3-(x(1)*(x(2)^2))-x(2);
%  xdot(2) = x(1)-(x(2)*x(1)^2)-(x(2)^3);
% phase_portrait(-1, 1, -1, 1, 7, 'F', 5)


% unstable focus
%  xdot(1) = 1*(x(1))^3+(x(1)*(x(2)^2))-x(2);
%  xdot(2) = x(1)+(x(2)*x(1)^2)+(x(2)^3);
% phase_portrait(-1, 1, -1, 1, 7, 'F', 5)

% diode tunnel example
x1=x(1);
x2=x(2);
h=17.76*x1-103.79*x1^2+229.62*x1^3-226.31*x1^4+83.72*x1^5;
xdot(1)=0.5*(-1*h+x2);
xdot(2)=0.2*(-1*x1-1.5*x2+1.2);
% % phase_portrait(-0.5, 2, -0.5, 2, 12, 'F', 20)

% undaped pendulum

%   xdot(1) = x(2);
%  xdot(2) = -sin(x(1));
% phase_portrait(-5*pi, 5*pi, -1, 1, 10, 'F', 10)




xdot = xdot';